Bug 183651 - sd data corrupter
Summary: sd data corrupter
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Doug Ledford
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHEL4u8_relnotes
TreeView+ depends on / blocked
 
Reported: 2006-03-02 15:06 UTC by Jason Baron
Modified: 2014-06-10 14:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 19:28:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description Jason Baron 2006-03-02 15:06:54 UTC
Description of problem:

unchecked 'len' value in sd.c can lead to data corruption. see: 
http://www.kernel.org/git/?p=linux/kernel/git/chrisw/linux-2.6.15.y.git;a=commitdiff;h=ed26c7781107e4d8fd0c654459e61b81096c4ff4


Version-Release number of selected component (if applicable):


How reproducible:

h/w errors can lead to this condition, maybe other ways too?


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 RHEL Product and Program Management 2008-10-02 20:06:52 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Vivek Goyal 2008-10-21 19:07:57 UTC
Committed in 78.15.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 7 Han Pingtian 2009-05-05 03:35:29 UTC
It is a backporting from the main stream. The patch has been included in
2.6.9-89.EL:linux-2.6.9-scsi-harden-against-possible-data-corrupter.patch.
Will change the status to VERIFIED. Thanks.

Comment 9 errata-xmlrpc 2009-05-18 19:28:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Comment 10 Doug Ledford 2014-06-10 14:51:01 UTC
Clearing stale needinfo on CLOSED bug.


Note You need to log in before you can comment on or make changes to this bug.